Upsert group Pay Terms
curl --request PUT \
--url https://api.creditor.younegotiate.com/pay-terms/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pif_balance_discount_percent": 12.5,
"ppa_balance_discount_percent": 8.5,
"min_monthly_pay_percent": 6.25,
"max_days_first_pay": 45,
"placement_date": {
"start": "2026-06-01",
"end": "2026-06-30"
},
"expiry_date": {}
}
'import requests
url = "https://api.creditor.younegotiate.com/pay-terms/groups"
payload = {
"pif_balance_discount_percent": 12.5,
"ppa_balance_discount_percent": 8.5,
"min_monthly_pay_percent": 6.25,
"max_days_first_pay": 45,
"placement_date": {
"start": "2026-06-01",
"end": "2026-06-30"
},
"expiry_date": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pif_balance_discount_percent: 12.5,
ppa_balance_discount_percent: 8.5,
min_monthly_pay_percent: 6.25,
max_days_first_pay: 45,
placement_date: {start: '2026-06-01', end: '2026-06-30'},
expiry_date: {}
})
};
fetch('https://api.creditor.younegotiate.com/pay-terms/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Master pay terms saved successfully.",
"data": {
"id": 123,
"type_label": "<string>",
"terms_name": "<string>",
"subclient": {
"id": 123,
"subclient_name": "<string>",
"unique_identification_number": "<string>"
},
"has_pay_terms": true,
"pif_balance_discount_percent": 123,
"ppa_balance_discount_percent": 123,
"min_monthly_pay_percent": 123,
"max_days_first_pay": 123,
"settlement_auto_approve_enabled": true,
"payment_plan_auto_approve_enabled": true,
"settlement_auto_decline_enabled": true,
"payment_plan_auto_decline_enabled": true,
"pif_auto_approve_percent": 123,
"pif_integrity_percent": 123,
"min_monthly_pay_auto_approve_percent": 123,
"min_monthly_pay_integrity_percent": 123,
"max_days_first_pay_auto_approve": 123,
"custom_rules": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>",
"errors": {}
}Upsert group Pay Terms
Create or update company-wide group Pay Terms with placement and/or expiration date rules. Group terms do not use auto approve or auto decline checkboxes. Requires at least one imported account and all required setup wizard steps to be complete.
PUT
/
pay-terms
/
groups
Upsert group Pay Terms
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
At least one complete placement or expiration date range is required. Group terms do not accept auto approve or auto decline rule fields.
Required range:
0 <= x <= 99Required range:
0 <= x <= 99Required range:
1 <= x <= 99Required range:
1 <= x <= 1000Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on July 20, 2026
Was this page helpful?
⌘I

